org.eclipse.ecf.core.identity

## Class NamespacePermission

- java.lang.Object
- - java.security.Permission
  - - java.security.BasicPermission
    - - org.eclipse.ecf.core.identity.NamespacePermission

All Implemented Interfaces:
  Serializable, Guard

    public class NamespacePermission
    extends BasicPermission

See Also:
  Serialized Form

### Field Summary

Fields
`protected String` `actions`
`static String` `ADD_NAMESPACE`
`static String` `ALL_NAMESPACE`
`static String` `CONTAINS_NAMESPACE`
`static String` `GET_NAMESPACE`
`static String` `REMOVE_NAMESPACE`

### Constructor Summary

Constructors
Constructor and Description
`NamespacePermission()`
`NamespacePermission(String s)`
`NamespacePermission(String s, String s1)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getActions()`
`boolean` `implies(Permission p)`

### Methods inherited from class java.security.BasicPermission

`equals, hashCode, newPermissionCollection`

### Methods inherited from class java.security.Permission

`checkGuard, getName, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### ADD_NAMESPACE

    public static final String ADD_NAMESPACE

See Also:
  Constant Field Values

#### ALL_NAMESPACE

    public static final String ALL_NAMESPACE

See Also:
  Constant Field Values

#### CONTAINS_NAMESPACE

    public static final String CONTAINS_NAMESPACE

See Also:
  Constant Field Values

#### GET_NAMESPACE

    public static final String GET_NAMESPACE

See Also:
  Constant Field Values

#### REMOVE_NAMESPACE

    public static final String REMOVE_NAMESPACE

See Also:
  Constant Field Values

#### actions

    protected String actions

### Constructor Detail

#### NamespacePermission

    public NamespacePermission()

Since:
  3.9

#### NamespacePermission

    public NamespacePermission(String s)

#### NamespacePermission

    public NamespacePermission(String s,
                               String s1)

### Method Detail

#### getActions

    public String getActions()

Overrides:
  `getActions` in class `BasicPermission`

#### implies

    public boolean implies(Permission p)

Overrides:
  `implies` in class `BasicPermission`